List Coupon Codes
curl --request GET \
--url https://api.eflow.team/v1/networks/couponcodes \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/couponcodes"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/couponcodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"coupon_codes": [
{
"network_coupon_code_id": 1,
"network_id": 1,
"network_affiliate_id": 0,
"network_offer_id": 57,
"coupon_code": "bla",
"coupon_status": "active",
"internal_notes": "",
"time_created": 1774725262,
"time_saved": 1774725262,
"relationship": {},
"start_date": "",
"end_date": "",
"description": "",
"is_description_plain_text": false,
"time_deleted": 0
}
]
}Coupon Codes
List Coupon Codes
GET
/
networks
/
couponcodes
List Coupon Codes
Retrieve all coupon codes for the network. Returns a list of coupon codes with their associated offer and affiliate details. Supports filtering by status, code, offer ID, affiliate ID, and timestamps.
Authorizations
The Everflow API key generated from the Control Center > Security.
Query Parameters
Filter coupon codes by repeating the filter query parameter. Use <field><operator><value> expressions, such as coupon_status=active, coupon_status=paused, coupon_code=SAVE20, network_offer_id=57, network_affiliate_id=123, time_created>1774725262, or time_saved<1774725262.
Include related entity details in the response. Use offer to include the offer information, or affiliate to include the affiliate information.
Available options:
offer, affiliate Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?
